Bug 1288540 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5946bfce10104ebdf6dc29da0c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 09:27 EST by Alexander Khokhlov
Modified: 2016-07-19 14:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:33:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.39 KB, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: core_backtrace (12.96 KB, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: dso_list (31.87 KB, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: environ (1.76 KB, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: maps (160.44 KB, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: mountinfo (3.34 KB, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: open_fds (183 bytes, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: proc_pid_status (1022 bytes, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details
File: var_log_messages (313 bytes, text/plain)
2015-12-04 09:27 EST, Alexander Khokhlov
no flags Details

  None (edit)
Description Alexander Khokhlov 2015-12-04 09:27:08 EST
Version-Release number of selected component:
plasma-workspace-5.4.3-3.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     1953
kernel:         4.2.6-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:431
 #3 QMetaObject::activate at kernel/qobject.cpp:3759
 #4 VDMModelDelegateDataType::notify at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/util/qqmladaptormodel.cpp:171
 #5 notify at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/util/qqmladaptormodel_p.h:118
 #6 QQmlDelegateModel::_q_itemsChanged at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/types/qqmldelegatemodel.cpp:1144
 #7 QQmlDelegateModel::_q_layoutChanged at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/types/qqmldelegatemodel.cpp:1608
 #8 QQmlDelegateModel::qt_static_metacall at .moc/moc_qqmldelegatemodel_p.cpp:205
 #9 QQmlDelegateModel::qt_metacall at .moc/moc_qqmldelegatemodel_p.cpp:344
 #10 QMetaObject::activate at kernel/qobject.cpp:3728
 #12 QAbstractItemModel::layoutChanged at .moc/moc_qabstractitemmodel.cpp:562
Comment 1 Alexander Khokhlov 2015-12-04 09:27:14 EST
Created attachment 1102285 [details]
File: backtrace
Comment 2 Alexander Khokhlov 2015-12-04 09:27:16 EST
Created attachment 1102286 [details]
File: cgroup
Comment 3 Alexander Khokhlov 2015-12-04 09:27:18 EST
Created attachment 1102287 [details]
File: core_backtrace
Comment 4 Alexander Khokhlov 2015-12-04 09:27:20 EST
Created attachment 1102288 [details]
File: dso_list
Comment 5 Alexander Khokhlov 2015-12-04 09:27:22 EST
Created attachment 1102289 [details]
File: environ
Comment 6 Alexander Khokhlov 2015-12-04 09:27:23 EST
Created attachment 1102290 [details]
File: limits
Comment 7 Alexander Khokhlov 2015-12-04 09:27:26 EST
Created attachment 1102291 [details]
File: maps
Comment 8 Alexander Khokhlov 2015-12-04 09:27:28 EST
Created attachment 1102292 [details]
File: mountinfo
Comment 9 Alexander Khokhlov 2015-12-04 09:27:29 EST
Created attachment 1102293 [details]
File: namespaces
Comment 10 Alexander Khokhlov 2015-12-04 09:27:31 EST
Created attachment 1102294 [details]
File: open_fds
Comment 11 Alexander Khokhlov 2015-12-04 09:27:32 EST
Created attachment 1102295 [details]
File: proc_pid_status
Comment 12 Alexander Khokhlov 2015-12-04 09:27:34 EST
Created attachment 1102296 [details]
File: var_log_messages
Comment 13 Marcus Harrison 2016-01-22 16:10:55 EST
Another user experienced a similar problem:

This crash occurred while I was connected to an existing network an using the NetworkManager applet to connect to another network without first disconnecting from the first network.

Both networks have the same SSID, but I have two networks configured, one for each Access Point's MAC address.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --crashes 1
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     13758
kernel:         4.2.8-200.fc22.x86_64
package:        plasma-workspace-5.5.1-1.fc22
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-07-19 14:33:59 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.